Get all
Get all users in an organization.
GET https://api.tedee.com/api/v37/organization/{organizationId}/user?Filters.Text={text}&Filters.UserTypes={userType}&Filters.IncludePendingUsers={includePending}
URI Parameters
Name |
Type |
Description |
|---|---|---|
organizationId |
number |
Organization id |
Page |
number (optional) |
Page number (min 1) |
ItemsPerPage |
number (optional) |
Items per page (1-100) |
Filters.Text |
string (optional) |
Search by display name or email |
Filters.UserTypes |
number[] (optional) |
Filter by user types |
Filters.IncludePendingUsers |
bool (optional) |
Include pending invited users |
Responses
Name |
Type |
Description |
|---|---|---|
200 OK |
OrganizationUserListDTO |
Success |
401 Unauthorized |
ApiResponse |
Unauthorized |
404 Not Found |
ApiResponse |
Not Found |
500 Server Error |
ApiResponse |
Server Error |
Scopes
Name |
Description |
|---|---|
Organization.Read |
Grants user possibility to read organization data |
Organization.ReadWrite |
Grants user possibility to read and write organization data |
Examples
Get all users from organization with id 1
curl -X GET "https://api.tedee.com/api/v37/organization/1/user" \
-H "accept: application/json" \
-H "Authorization: Bearer <<access token>>"